Package com.collibra.dgc.core.api.dto.usergroup

# Class SetUsersForUserGroupRequest

Object
SetUsersForUserGroupRequest

All Implemented Interfaces:
  `Serializable`

public class SetUsersForUserGroupRequest extends Object implements Serializable
The properties needed to set the users that belong to a user group.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SetUsersForUserGroupRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetUsersForUserGroupRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SetUsersForUserGroupRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getUserGroupId()`
  Required. The ID of the user group whose users will be set.
  `List<UUID>`
  `getUserIds()`
  Required. The list of user IDs that will be assigned to the group.
  `int`
  `hashCode()`
  `void`
  `setUserGroupId(UUID userGroupId)`
  Required. The ID of the user group whose users will be set.
  `void`
  `setUserIds(List<UUID> userIds)`
  Required. The list of user IDs that will be assigned to the group.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SetUsersForUserGroupRequest

    public SetUsersForUserGroupRequest()

- ## Method Details

  - ### builder

    public static SetUsersForUserGroupRequest.Builder builder()

  - ### getUserGroupId

    public UUID getUserGroupId()
    Required. The ID of the user group whose users will be set.

  - ### getUserIds

    public List<UUID> getUserIds()
    Required. The list of user IDs that will be assigned to the group.

  - ### setUserGroupId

    public void setUserGroupId(UUID userGroupId)
    Required. The ID of the user group whose users will be set.

  - ### setUserIds

    public void setUserIds(List<UUID> userIds)
    Required. The list of user IDs that will be assigned to the group.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`